(*
  TPLib: Tropical Polyhedra Library 

  TPLib allows to compute a description by means of vertices and rays 
  of tropical polyhedra defined by means of inequalities, and conversely.

  It also provides a numerical abstract domain based on tropical polyhedra, 
  in order to infer min-/max- invariants over programs.

  Copyright (C) 2009-2012 Xavier ALLAMIGEON (xavier.allamigeon at inria.fr)
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.
  
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
  
  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*)

module type T =
sig
  include Numeric_plugin.T
end

val of_string : string -> (module T)
val get_name_of_modules : unit -> string list
val default_integer_module : string
val default_exact_rational_module : string
